summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorFantix King2015-12-24 19:18:15 +0800
committerFantix King2015-12-25 12:28:38 +0800
commit1ab5d723a095a72d17cd03e0a33e57c05ca8cf93 (patch)
tree402b7ec1949ab6b8bf6cb7f451b9c358bc7d50c4
parent1e3537300fe7cb83fbae2324514152dd26f0c1ac (diff)
downloadaur-1ab5d723a095a72d17cd03e0a33e57c05ca8cf93.tar.gz
5.3.0-3.1
-rw-r--r--.SRCINFO42
-rw-r--r--PKGBUILD9
2 files changed, 28 insertions, 23 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 426855a60d5..af8660de0cd 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,9 @@
+# Generated by mksrcinfo v8
+# Thu Dec 24 11:19:49 UTC 2015
pkgbase = gcc-multilib-x32
pkgdesc = The GNU Compiler Collection for multilib with x32 ABI support
pkgver = 5.3.0
- pkgrel = 2.1
+ pkgrel = 3.1
url = http://gcc.gnu.org
arch = x86_64
license = GPL
@@ -26,11 +28,11 @@ pkgname = gcc-multilib-x32
pkgdesc = The GNU Compiler Collection - C and C++ frontends for multilib with x32 ABI support
install = gcc.install
groups = x32-devel
- depends = gcc-libs-multilib-x32=5.3.0-2.1
+ depends = gcc-libs-multilib-x32=5.3.0-3.1
depends = binutils>=2.25
depends = libmpc
- provides = gcc=5.3.0-2
- provides = gcc-multilib=5.3.0-2
+ provides = gcc=5.3.0-3
+ provides = gcc-multilib=5.3.0-3
conflicts = gcc
conflicts = gcc-x32-seed
conflicts = gcc-multilib
@@ -40,10 +42,10 @@ pkgname = gcc-libs-multilib-x32
pkgdesc = Runtime libraries shipped by GCC for multilib with x32 ABI support
install = gcc-libs.install
depends = glibc>=2.22
- depends = lib32-gcc-libs=5.3.0-2
- depends = libx32-gcc-libs=5.3.0-2.1
- provides = gcc-libs=5.3.0-2
- provides = gcc-libs-multilib=5.3.0-2
+ depends = lib32-gcc-libs=5.3.0-3
+ depends = libx32-gcc-libs=5.3.0-3.1
+ provides = gcc-libs=5.3.0-3
+ provides = gcc-libs-multilib=5.3.0-3
conflicts = gcc-libs
options = !emptydirs
options = !strip
@@ -57,25 +59,25 @@ pkgname = libx32-gcc-libs
pkgname = gcc-fortran-multilib-x32
pkgdesc = Fortran front-end for GCC for multilib with x32 ABI support
install = gcc-fortran.install
- depends = gcc-multilib-x32=5.3.0-2.1
- provides = gcc-fortran=5.3.0-2
- provides = gcc-fortran-multilib=5.3.0-2
+ depends = gcc-multilib-x32=5.3.0-3.1
+ provides = gcc-fortran=5.3.0-3
+ provides = gcc-fortran-multilib=5.3.0-3
conflicts = gcc-fortran
options = !emptydirs
pkgname = gcc-objc-multilib-x32
pkgdesc = Objective-C front-end for GCC for multilib with x32 ABI support
- depends = gcc-multilib-x32=5.3.0-2.1
- provides = gcc-objc=5.3.0-2
- provides = gcc-objc-multilib=5.3.0-2
+ depends = gcc-multilib-x32=5.3.0-3.1
+ provides = gcc-objc=5.3.0-3
+ provides = gcc-objc-multilib=5.3.0-3
conflicts = gcc-objc
pkgname = gcc-ada-multilib-x32
pkgdesc = Ada front-end for GCC (GNAT) for multilib with x32 ABI support
install = gcc-ada.install
- depends = gcc-multilib-x32=5.3.0-2.1
- provides = gcc-ada=5.3.0-2
- provides = gcc-ada-multilib=5.3.0-2
+ depends = gcc-multilib-x32=5.3.0-3.1
+ provides = gcc-ada=5.3.0-3
+ provides = gcc-ada-multilib=5.3.0-3
conflicts = gcc-ada
options = staticlibs
options = !emptydirs
@@ -83,9 +85,9 @@ pkgname = gcc-ada-multilib-x32
pkgname = gcc-go-multilib-x32
pkgdesc = Go front-end for GCC for multilib with x32 ABI support
install = gcc-go.install
- depends = gcc-multilib-x32=5.3.0-2.1
- provides = gcc-go=5.3.0-2
- provides = gcc-go-multilib=5.3.0-2
+ depends = gcc-multilib-x32=5.3.0-3.1
+ provides = gcc-go=5.3.0-3
+ provides = gcc-go-multilib=5.3.0-3
conflicts = go
conflicts = gcc-go
options = !emptydirs
diff --git a/PKGBUILD b/PKGBUILD
index 53c073aa9db..913bd3cdc17 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD 152083 2015-12-10 05:33:05Z foutrelis $
+# $Id: PKGBUILD 153820 2015-12-21 11:06:03Z allan $
# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
# Contributor: Allan McRae <allan@archlinux.org>
# x32 Maintainer: Fantix King <fantix.king@gmail.com>
@@ -10,7 +10,7 @@ pkgname=('gcc-multilib-x32' 'gcc-libs-multilib-x32' 'libx32-gcc-libs' 'gcc-fortr
pkgver=5.3.0
_pkgver=5
_islver=0.15
-pkgrel=2.1
+pkgrel=3.1
#_snapshot=5-20150623
pkgdesc="The GNU Compiler Collection for multilib with x32 ABI support"
arch=('x86_64')
@@ -118,6 +118,7 @@ package_libx32-gcc-libs()
libcilkrts \
libquadmath \
libgfortran \
+ libgo \
libgomp \
libitm \
libsanitizer/{a,l,ub}san \
@@ -156,6 +157,7 @@ package_gcc-libs-multilib-x32()
for lib in libatomic \
libcilkrts \
libgfortran \
+ libgo \
libgomp \
libitm \
libquadmath \
@@ -309,7 +311,7 @@ EOF
install -d ${pkgdir}/usr/share/licenses/gcc-multilib-x32/
ln -s ../gcc-libs-multilib-x32/RUNTIME.LIBRARY.EXCEPTION ${pkgdir}/usr/share/licenses/gcc-multilib-x32/
- rm ${pkgdir}/usr/share/man/man3/{random,regex}.3
+ rm ${pkgdir}/usr/share/man/man3/{random,regex}.3 || true
}
package_gcc-fortran-multilib-x32()
@@ -415,6 +417,7 @@ package_gcc-go-multilib-x32()
make -C $CHOST/libgo DESTDIR=$pkgdir install-exec-am
make -C $CHOST/32/libgo DESTDIR=$pkgdir install-exec-am
make -C $CHOST/x32/libgo DESTDIR=$pkgdir install-exec-am
+ rm ${pkgdir}/usr/lib/libgo.so* ${pkgdir}/usr/lib32/libgo.so* ${pkgdir}/usr/libx32/libgo.so*
make -C gcc DESTDIR=$pkgdir go.install-{common,man,info}
install -Dm755 gcc/go1 $pkgdir/${_libdir}/go1